com.sun.jna

## Class WeakIdentityHashMap.IdentityWeakReference

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference
    - - com.sun.jna.WeakIdentityHashMap.IdentityWeakReference

- Enclosing class:
    WeakIdentityHashMap

       class WeakIdentityHashMap.IdentityWeakReference
      extends java.lang.ref.WeakReference

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `hash`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeakIdentityHashMap.IdentityWeakReference(java.lang.Object obj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.ref.Reference

      `clear, enqueue, get, isEnqueued`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hash

          int hash

  - ### Constructor Detail

    - #### WeakIdentityHashMap.IdentityWeakReference

          WeakIdentityHashMap.IdentityWeakReference(java.lang.Object obj)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.